/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*    This file is part of the program kresilience                           */
/*                                                                           */
/*    Copyright (C) 2020-2021 Andreas Schmitt, Marc Pfetsch                  */
/*                                                                           */
/*                                                                           */
/*    Based on SCIP --- Solving Constraint Integer Programs                  */
/*       SCIP is distributed under the terms of the SCIP Academic Licence,   */
/*       see file COPYING in the SCIP distribution.                          */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/**@file   include_plugins.h
 * @brief  gives a wrapper for SCIPincludeDefaultPlugins or SCIPSDPincludeDefaultPlugins
 * @author Andreas Schmitt
 */

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8----+----9----+----0----+----1----+----2*/

#ifndef INCLUDE_PLUGINS
#define INCLUDE_PLUGINS

#include "scip/scip.h"

extern
SCIP_RETCODE includeDefaultPlugins(
   SCIP*                   scip              /**<pointer to scip */
   );

#endif
